Upload or update client data

Use this endpoint to upload or update identity data for a client in an existing workflow.

For Document Authentication workflows, the following options are available:

  • Use an existing client with a previously completed Identity Verification workflow. Fourthline reuses the existing client data.

  • Upload previous client data directly. For this option, call this endpoint with a referenceDocumentData payload before uploading the new identity document.

Note Note: This endpoint is not required for Biometric Authentication workflows.

For error responses, inspect the response body for additional details:

  • 400 Bad Request returns a validationProblemDetails object, including an errors property that maps request fields to validation error messages.
  • All other error responses return a problemDetails object containing type, title, status, and detail.
Path Params
string
required

The unique identifier of the workflow.

Format: uuid

Example: 3a3f90d8-019b-4001-98f8-c54848d07827

string
required

The unique client id for the client whose data you are updating, from the Create workflow response.

Format: uuid

Example: baa2bf19-5258-47ec-b428-276d3f045820

Body Params
string

Your unique identifier for the client. Once assigned, use the same partnerClientId for that client (natural person) across all workflows.

Reusing the same identifier helps prevent duplicate client records.

Format: We recommend a uuid-style string

Example: 64731fdb-0651-4040-a565-9ea4113e6130

identityData
object

Contains the identity information of the client.

  • Set type to identityData and use the nested objects (personalData, address, contactDetails, tax, deviceMetaData) for a full identity data upload.
  • Set type to referenceDocumentData and provide the reference fields at the top level of identityData when uploading previous client data for Document Authentication.

All five nested sections are optional (nullable). Specific fields may be required based on the products configured within the workflow. For example, for the Location product, address information is mandatory.

Headers
string
required
Defaults to Bearer <access_token>

The access_token returned in your most recent Create access token response.

string
Defaults to no-cache

To have the response validated by the origin server instead of reusing stored content, we strongly recommend including this parameter and setting it to no-cache.

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json